#include "mbed.h"
#include "Gyro.h"
#include "LSM303DLH.h"
#include "MS5607I2C.h"


#include <cmath>



#define INTERVAL 50000
#define PI 3.14


float P,Q,R;
short int wx,wy,wz;
float ax,ay,az;
float mx,my,mz;
float altitude;

void measure();

Serial pc(USBTX,USBRX);
Serial gps(p13,p14);//tx, rx
Ticker tick;
Gyro gyro(p9,p10);
LSM303DLH lsm(p9,p10);
MS5607I2C alt(p9,p10);
AnalogIn spd(p20);



int main(){
    pc.baud(38400);   
    tick.attach_us(&measure,INTERVAL);
}

void measure(){
    char c;
    c=gps.sample();
    //get gyro value
    gyro.read(wx,wy,wz);
    gyro.getAngulerRate(wx,wy,wz,P,Q,R);
    
    lsm.read(&ax,&ay,&az,&mx,&my,&mz);
    //lsm.getRealAccel(ax,ay,az);
    
    alt.getPressure();
    alt.getTemperature();
   
    //pc.printf("%f,%f,%f,%f,%f,%f,%c\n",P,Q,R,ax,ay,az,c);
    pc.printf("%c\n",c);
    //pc.putc(gps.getc());
}

